Bug 24297 - Record if a transfer was triggered 'manually'
Summary: Record if a transfer was triggered 'manually'
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 24436
Blocks: 4234 23092
  Show dependency treegraph
 
Reported: 2019-12-23 09:41 UTC by Martin Renvoize
Modified: 2020-04-03 21:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24297: Record 'Manual' trigger transfers (881 bytes, patch)
2020-01-17 11:26 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24297: Record 'Manual' trigger transfers (881 bytes, patch)
2020-01-17 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24297: Record 'Manual' trigger transfers (1.08 KB, patch)
2020-03-12 12:55 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-12-23 09:41:25 UTC
Using the new 'trigger' field in branchtransfers to record if a transfer was added manually.
Comment 1 Martin Renvoize 2020-01-17 11:26:46 UTC
Created attachment 97500 [details] [review]
Bug 24297: Record 'Manual' trigger transfers
Comment 2 Martin Renvoize 2020-01-17 16:02:54 UTC
Created attachment 97541 [details] [review]
Bug 24297: Record 'Manual' trigger transfers
Comment 3 Nick Clemens 2020-03-12 12:55:35 UTC
Created attachment 100630 [details] [review]
Bug 24297: Record 'Manual' trigger transfers

To test:
1 - Apply patches, restart_all
2 - Gi to Circulation->Transfer
3 - Transfer an item
4 - Check the branch transfers table
5 - The reason is set to 'Manual'

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2020-03-12 12:55:58 UTC
Teensy patch in the chain, PQA
Comment 5 Martin Renvoize 2020-03-20 16:04:49 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 21:16:08 UTC
not backported to 19.11.x